### Enumeration

# GdkPixbuf PixbufError

#### Declaration

    error-domain GdkPixbuf.PixbufError

#### Description [src]

An error code in the `GDK_PIXBUF_ERROR` domain.

Many gdk-pixbuf operations can cause errors in this domain, or in the `G_FILE_ERROR` domain.

#### Members

Name | Description
--- | ---
`GDK_PIXBUF_ERROR_CORRUPT_IMAGE` | An image file was broken somehow.
`GDK_PIXBUF_ERROR_INSUFFICIENT_MEMORY` | Not enough memory.
`GDK_PIXBUF_ERROR_BAD_OPTION` | A bad option was passed to a pixbuf save module.
`GDK_PIXBUF_ERROR_UNKNOWN_TYPE` | Unknown image type.
`GDK_PIXBUF_ERROR_UNSUPPORTED_OPERATION` | Don’t know how to perform the given operation on the type of image at hand.
`GDK_PIXBUF_ERROR_FAILED` | Generic failure code, something went wrong.
`GDK_PIXBUF_ERROR_INCOMPLETE_ANIMATION` | Only part of the animation was loaded.

#### Type functions

###### gdk_pixbuf_error_quark

No description available.